<?php
	require_once("../includes/bootstrap.php");
	$sesion=new sesion();
	$sesion->set('permiso',permisos($_POST['privilegio']));
	
	$academia = bootstrap::initBd($sesion->get('anio'));

?>

<script  type="text/javascript">
$(function(){
	var weditor=$("#wEditor");
	var encabActive;
	
	tinyMCE.init({
		mode : "textareas",
		theme : "advanced",
		language : "es",
		skin : "o2k7",
		plugins : "autolink,lists,pagebreak,table,advhr,preview,-cmpsInfor",
		theme_advanced_buttons1 : "bold,italic,underline,|,justifyleft,justifycenter,justifyright,justifyfull,|,formatselect,fontselect,fontsizeselect,|,dtsColegio",
		theme_advanced_buttons2 : "outdent,indent,blockquote,|,undo,redo,|,forecolor,backcolor,|,tablecontrols,|,hr,removeformat,|,code,advhr,|,mysplitbutton,preview",
		theme_advanced_toolbar_location : "top",
		theme_advanced_toolbar_align : "left",
		theme_advanced_statusbar_location : "bottom",
	});
	weditor.hide();
	
	$("#panelColegio").panel({
		tools: [{  
			iconCls:'ui-btn-save',  
			handler:function(){
				$.ajax({
					url:"mod_cnf_enca_pie/opera_enca_pie.php",
					type:"POST",
					dataType:"json",
					data:{
						enc_dt:$("#enca_dtos").html(),
						pie_dt:$("#pie_dtos").html(),
						enc_bt:$("#enca_boletin_gral").html(),
						pie_bt:$("#pie_boletin").html(),
						enc_bt_pres:$("#enca_boletin_pres").html(),
					},
					beforeSend: function(){
						$.messager.progress({title:dtsLang['project']['empresa'],msg:dtsLang['mod_encabezados']['msg_save']})
					},
					success: function(rta){
						if (rta.error!=0){
							if (rta=='session'){
								modulo='global'
							}
							else{
								modulo='mod_colegio'
							}
							jAlert(dtsLang[modulo][rta.error],'error',function(){
								if(rta=='session'){
									location.reload();
								}
							});
						}else{
							$.messager.progress('close');
							notifica_ok(dtsLang['mod_encabezados']['msg_exito']);
						}
					}
				});
			}
		}]
	});
	
	
	$("#vistaPrevia").linkbutton().click(function(){
		encabActive.html(tinyMCE.get('editorEncabezados').getContent());
		weditor.hide();
		$("#panelsEncab").show();
	});
	$("a.open_editor").linkbutton().click(function(){
		encabActive=$("#"+$(this).attr("id_obj"));
		tinyMCE.activeEditor.setContent(encabActive.html());
		weditor.show();
		$("#panelsEncab").hide();
	});

});

</script>
<style>
	.tit_relleno{
		background-color:#CCC; 
		font-size:12px; 
		font-weight:bold;
		padding:2px;
	}
	.separador{
		padding:4px;
	}
</style>
<div id="wEditor">
	<textarea name="editorEncabezados" cols="90" rows="20" id="editorEncabezados" class="tinymce" ></textarea>
	<div align="center">
		<a href="#" class="easyui-linkbutton" id="vistaPrevia" data-options="iconCls:'icon-save'">Vista Previa</a>
	</div>
</div>

<div id="aco-documentos" class="easyui-accordion" style="width:300px;height:200px;">  
    <div title="Title1" data-options="iconCls:'icon-save'" style="overflow:auto;padding:10px;">  
        <h3 style="color:#0099FF;">Accordion for jQuery</h3>  
        <p>Accordion is a part of easyui framework for jQuery.   
        It lets you define your accordion component on web page more easily.</p>  
    </div>  
    <div title="Title2" data-options="iconCls:'icon-reload',selected:true" style="padding:10px;">  
        content2  
    </div>  
    <div title="Title3">  
        content3  
    </div>  
</div> 




<div id="panelsEncab">
	<div id="panelColegio" class="easyui-panel" title="Encabezados"   
				style="width:720px;height:auto;padding:3px 4px;background:#fafafa;"  
				data-options="iconCls:'ui-icon-configure',closable:false,  
						collapsible:true,minimizable:false,maximizable:false">		
		<table width="100%" border="0" cellpadding="0" cellspacing="0">
			<tr><td class="tit_relleno" colspan="2" align="center">Encabezado de pagina para los documentos</td></tr>
			<tr>
				<td>
					<div id="enca_dtos" class="separador">
						<?php echo $sesion->getVar('info_colegio.enca_dtos') ?>
					</div>
				</td>
				<td width="50">
					<a href="#" class="easyui-linkbutton open_editor" id_obj="enca_dtos" data-options="iconCls:'icon-edit'">Editar</a>
				</td>
			</tr>
			<tr><td class="tit_relleno" colspan="2" align="center">Pie de pagina para los documentos</td></tr>
			<tr>
				<td>
					<div id="pie_dtos" class="separador">
						<?php echo $sesion->getVar('info_colegio.pie') ?>
					</div>
				</td>
				<td width="50">
					<a href="#" class="easyui-linkbutton open_editor" id_obj="pie_dtos" data-options="iconCls:'icon-edit'">Editar</a>
				</td>
			</tr>
			
			<tr>
				<td class="tit_relleno" colspan="2" align="center">Encabezado de pagina para los boletines en general</td></tr>
			<tr>
				<td>
					<div id="enca_boletin_gral" class="separador">
						<?php echo $sesion->getVar('info_colegio.enca_boletin') ?>
					</div>
				</td>
				<td width="50">
					<a href="#" class="easyui-linkbutton open_editor" id_obj="enca_boletin_gral" data-options="iconCls:'icon-edit'">Editar</a>
				</td>
			</tr>
			<tr>
				<td class="tit_relleno" colspan="2" align="center">Encabezado de pagina para boletin de prescolar</td></tr>
			<tr>
				<td>
					<div id="enca_boletin_pres" class="separador">
						<?php echo $sesion->getVar('info_colegio.enca_boletin_pres') ?>
					</div>
				</td>
				<td width="50">
					<a href="#" class="easyui-linkbutton open_editor" id_obj="enca_boletin_pres" data-options="iconCls:'icon-edit'">Editar</a>
				</td>
			</tr>
			<tr><td class="tit_relleno" colspan="2" align="center">Pie de pagina para los boletines</td></tr>
			<tr>
				<td>
					<div id="pie_boletin" class="separador">
						<?php echo $sesion->getVar('info_colegio.pie_boletin') ?>
					</div>
				</td>
				<td width="50">
					<a href="#" class="easyui-linkbutton open_editor" id_obj="pie_boletin" data-options="iconCls:'icon-edit'">Editar</a>
				</td>
			</tr>
			
		</table>
	</div>
</div>
